public abstract static class ReportErrorsServiceGrpc.ReportErrorsServiceImplBase
extends java.lang.Object
implements io.grpc.BindableService
An API for reporting error events.
| Constructor and Description |
|---|
ReportErrorsServiceImplBase() |
| Modifier and Type | Method and Description |
|---|---|
io.grpc.ServerServiceDefinition |
bindService() |
void |
reportErrorEvent(ReportErrorEventRequest request,
io.grpc.stub.StreamObserver<ReportErrorEventResponse> responseObserver)
Report an individual error event.
|
public void reportErrorEvent(ReportErrorEventRequest request, io.grpc.stub.StreamObserver<ReportErrorEventResponse> responseObserver)
Report an individual error event. This endpoint accepts <strong>either</strong> an OAuth token, <strong>or</strong> an <a href="https://support.google.com/cloud/answer/6158862">API key</a> for authentication. To use an API key, append it to the URL as the value of a `key` parameter. For example: <pre>POST https://clouderrorreporting.googleapis.com/v1beta1/projects/example-project/events:report?key=123ABC456</pre>
public io.grpc.ServerServiceDefinition bindService()
bindService in interface io.grpc.BindableService